edu.cmu.pslc.logging.element

## Class MetaElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.MetaElement

-     public class MetaElement
      extends java.lang.Object

  MetaElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaElement(java.lang.String userId, java.lang.Boolean anonFlag, java.lang.String sessionId, java.lang.String time, java.lang.String timeZone)` Constructor.
    `MetaElement(java.lang.String userId, java.lang.String sessionId, java.lang.String time, java.lang.String timeZone)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSessionId()` Gets sessionId.
    `java.lang.String` | `getTime()` Gets time.
    `java.lang.String` | `getTimeZone()` Gets timeZone.
    `java.lang.String` | `getUserId()` Gets userId.
    `void` | `setTime(java.lang.String time)` Sets time.
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaElement

          public MetaElement(java.lang.String userId,
                     java.lang.String sessionId,
                     java.lang.String time,
                     java.lang.String timeZone)

      Constructor.
      Parameters:
        `userId` - userId
        `sessionId` - sessionId
        `time` - time
        `timeZone` - timeZone

    - #### MetaElement

          public MetaElement(java.lang.String userId,
                     java.lang.Boolean anonFlag,
                     java.lang.String sessionId,
                     java.lang.String time,
                     java.lang.String timeZone)

      Constructor.
      Parameters:
        `userId` - userId
        `sessionId` - sessionId
        `time` - time
        `timeZone` - timeZone
        `anonFlag` - anonFlag

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Gets userId.
      Returns:
        userId

    - #### getSessionId

          public java.lang.String getSessionId()

      Gets sessionId.
      Returns:
        sessionId

    - #### getTime

          public java.lang.String getTime()

      Gets time.
      Returns:
        time

    - #### getTimeZone

          public java.lang.String getTimeZone()

      Gets timeZone.
      Returns:
        timeZone

    - #### setTime

          public void setTime(java.lang.String time)

      Sets time.
      Parameters:
        `time` - time

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center